package com.qmth.distributed.print.business.bean.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.enums.PageSizeEnum;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 试卷转换前记录
 * @Author: CaoZixuan
 * @Date: 2022-09-01
 */
public class Original {
    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty("原始卷附件id")
    private Long id;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty("更新时间")
    private Long updateTime;

    @ApiModelProperty("页数")
    private Integer pages;

    @ApiModelProperty("试卷纸张类型")
    private PageSizeEnum pageSize;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getPages() {
        return pages;
    }

    public void setPages(Integer pages) {
        this.pages = pages;
    }

    public PageSizeEnum getPageSize() {
        return pageSize;
    }

    public void setPageSize(PageSizeEnum pageSize) {
        this.pageSize = pageSize;
    }
}
